
#ifndef MAIN_H
#define MAIN_H
#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------------
//vȌ
enum {
	STATE_INIT  = 0x01,
	STATE_RESET,
	STATE_FADEIN,
	STATE_FADEOUT,
	STATE_KEY,
	STATE_ANIME,
};


//---------------------------------------------------------------------------
EWRAM_CODE void StateInit(); 
EWRAM_CODE void StateReset();
EWRAM_CODE void StateFadeIn();
EWRAM_CODE void StateFadeOut();
EWRAM_CODE void StateMusic();
EWRAM_CODE void StateKey();
EWRAM_CODE void StateAnime();

EWRAM_CODE void InitWS();
EWRAM_CODE void InitLib();
EWRAM_CODE void InitKey();
EWRAM_CODE void InitIRQ();
EWRAM_CODE void InitFont();
EWRAM_CODE void InitSprite();
EWRAM_CODE void InitGBFS();

EWRAM_CODE void SystemError(char* msg1, char* msg2);


#ifdef __cplusplus
}
#endif
#endif
